A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
det
ArrayFire Functions | ArrayFire Functions by Category » Linear Algebra » Matrix operations

## Functions
template<typename T >
T | det (const array &in)
| C++ Interface to find the determinant of a matrix.
AFAPI af_err | af_det (double *det_real, double *det_imag, const af_array in)
| C Interface to find the determinant of a matrix.

## Detailed Description

Find the determinant of a matrix.

This function requires scratch space equal to the input array.

## Function Documentation

## ◆ af_det()

AFAPI af_err af_det | ( | double * | det_real,
|  | double * | det_imag,
|  | const af_array | in )

C Interface to find the determinant of a matrix.

Parameters

  [out] | det_real | real part of the determinant
  [out] | det_imag | imaginary part of the determinant
  [in] | in | input matrix

Returns
  AF_SUCCESS, if function returns successfully, else an af_err code is given

## ◆ det()

template<typename T >

T det | ( | const array & | in | ) |

C++ Interface to find the determinant of a matrix.

Parameters

  [in] | in | input matrix

Returns
  determinant